Hi all,

I'm working on the design for a scalable and resilient Registrar/Proxy
solution based largely on the presentations, blogs and articles at
opensips.org covering this topic.
It will probably use an edge proxy as load balancer in front of an
unspecified number of Registrar/Proxy nodes, no doubt in front of
unspecified number of media servers (probably FreeSwitch). To get
scalability/resilience/fast switchover between nodes it will use the
clusterer module to replicate some selection of location and dialogue data.

Given that the clusterer module and many related areas are due for a big
upgrade in v2.4 due for release in May, I am wondering which version of
OpenSIPS to use for my project today. If I download and use the development
head version from git, v2.4-dev, will this be stable enough to work with or
is this too "bleeding edge"?
Might it even be useful to the OpenSIPS developers to have someone testing
this functionality?
Or should I stick with the stable v2.3 and risk having to do a lot of
upgrading after May so as to get the benefits of new features in the new

Thanks in advance.

John Quick
Smartvox Limited
Web: www.smartvox.co.uk

Users mailing list

Reply via email to